/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E.P. Scene Graph
* Developed by:
*       - Eduardo Ribeiro (eribeiro @ tecgraf . puc-rio . br)
*       - Peter Dam (peter @ tecgraf . puc-rio . br)
* File: Group.h
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef _EPSG_GROUP_
#define _EPSG_GROUP_

#include "EPSG/Node.h"
#include <vector>

namespace EPSG
{
	class Group : public Node
	{
	public:
		/* [CONSTRUCTOR] */	Group();

		bool				setupCamera();
		int					setupLights();
		void				render();

		bool				addChild( Node* n );
		bool				hasChild( Node* n );
		bool				delChild( Node* n );

	private:
		std::vector<Node*>	_children;
	};
}

#endif //_EPSG_GROUP_